Bug 61205 - Manual should be in %docdir, not /var
Manual should be in %docdir, not /var
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-15 09:08 EST by kenneth_porter
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 06:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2002-03-15 09:08:22 EST
I installed php-manual, which installs itself into the Apache document tree, and discovered that 
my root paritition (which includes /var) all but filled up.

I think this violates the 
principle of least surprise. The Apache documentation is not variable data, so it should be in 
/usr/share/doc. When installing documentation, one expects it to go into /usr.

The default 
Apache installation should symlink from the HTML document directory (/var/www/html) to this. 
Separate module packages (such as PHP) should follow this model and keep their documentation in 
/usr/share/doc/<package>, symlinked from the appropriate subdirectory of the Apache 
documentation.
Comment 1 Joe Orton 2004-09-21 06:15:52 EDT
Thanks for the report.  php-manual is no longer included in Fedora
Core or Red Hat Enterprise Linux, which should avoid this particular
issue.

/var/www is the place where all web content is stored by default, so
is appropriate as the location of the manuals.

Note You need to log in before you can comment on or make changes to this bug.